Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenDiagramUpdaterImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenDiagramUpdaterImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenDiagramUpdater

    public class GenDiagramUpdaterImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements GenDiagramUpdater

An implementation of the model object 'Gen Diagram Updater'.

The following features are implemented:

- `Editor Gen`
- `Diagram Updater Class Name`
- `Node Descriptor Class Name`
- `Link Descriptor Class Name`
- `Update Command Class Name`
- `Update Command ID`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `DIAGRAM_UPDATER_CLASS_NAME_EDEFAULT` The default value of the '`Diagram Updater Class Name`' attribute
`protected java.lang.String` `diagramUpdaterClassName` The cached value of the '`Diagram Updater Class Name`' attribute
`protected static java.lang.String` `LINK_DESCRIPTOR_CLASS_NAME_EDEFAULT` The default value of the '`Link Descriptor Class Name`' attribute
`protected java.lang.String` `linkDescriptorClassName` The cached value of the '`Link Descriptor Class Name`' attribute
`protected static java.lang.String` `NODE_DESCRIPTOR_CLASS_NAME_EDEFAULT` The default value of the '`Node Descriptor Class Name`' attribute
`protected java.lang.String` `nodeDescriptorClassName` The cached value of the '`Node Descriptor Class Name`' attribute
`protected static java.lang.String` `UPDATE_COMMAND_CLASS_NAME_EDEFAULT` The default value of the '`Update Command Class Name`' attribute
`protected static java.lang.String` `UPDATE_COMMAND_ID_EDEFAULT` The default value of the '`Update Command ID`' attribute
`protected java.lang.String` `updateCommandClassName` The cached value of the '`Update Command Class Name`' attribute
`protected java.lang.String` `updateCommandID` The cached value of the '`Update Command ID`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenDiagramUpdaterImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getDiagramUpdaterClassName()` Returns the value of the 'Diagram Updater Class Name' attribute
`java.lang.String` `getDiagramUpdaterClassNameGen()`
`java.lang.String` `getDiagramUpdaterQualifiedClassName()`
`GenEditorGenerator` `getEditorGen()`
`java.lang.String` `getLinkDescriptorClassName()` Returns the value of the 'Link Descriptor Class Name' attribute
`java.lang.String` `getLinkDescriptorClassNameGen()`
`java.lang.String` `getLinkDescriptorQualifiedClassName()`
`java.lang.String` `getNodeDescriptorClassName()` Returns the value of the 'Node Descriptor Class Name' attribute
`java.lang.String` `getNodeDescriptorClassNameGen()`
`java.lang.String` `getNodeDescriptorQualifiedClassName()`
`java.lang.String` `getUpdateCommandClassName()` Returns the value of the 'Update Command Class Name' attribute
`java.lang.String` `getUpdateCommandClassNameGen()`
`java.lang.String` `getUpdateCommandID()` Returns the value of the 'Update Command ID' attribute
`java.lang.String` `getUpdateCommandIDGen()`
`java.lang.String` `getUpdateCommandQualifiedClassName()`
`void` `setDiagramUpdaterClassName(java.lang.String newDiagramUpdaterClassName)`
`void` `setLinkDescriptorClassName(java.lang.String newLinkDescriptorClassName)`
`void` `setNodeDescriptorClassName(java.lang.String newNodeDescriptorClassName)`
`void` `setUpdateCommandClassName(java.lang.String newUpdateCommandClassName)`
`void` `setUpdateCommandID(java.lang.String newUpdateCommandID)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### DIAGRAM_UPDATER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String DIAGRAM_UPDATER_CLASS_NAME_EDEFAULT

  The default value of the '`Diagram Updater Class Name`' attribute.

  See Also:
    `getDiagramUpdaterClassName()`
  ** Generated **
  Ordered:

### diagramUpdaterClassName

    protected java.lang.String diagramUpdaterClassName

  The cached value of the '`Diagram Updater Class Name`' attribute.

  See Also:
    `getDiagramUpdaterClassName()`
  ** Generated **
  Ordered:

### NODE_DESCRIPTOR_CLASS_NAME_EDEFAULT

    protected static final java.lang.String NODE_DESCRIPTOR_CLASS_NAME_EDEFAULT

  The default value of the '`Node Descriptor Class Name`' attribute.

  See Also:
    `getNodeDescriptorClassName()`
  ** Generated **
  Ordered:

### nodeDescriptorClassName

    protected java.lang.String nodeDescriptorClassName

  The cached value of the '`Node Descriptor Class Name`' attribute.

  See Also:
    `getNodeDescriptorClassName()`
  ** Generated **
  Ordered:

### LINK_DESCRIPTOR_CLASS_NAME_EDEFAULT

    protected static final java.lang.String LINK_DESCRIPTOR_CLASS_NAME_EDEFAULT

  The default value of the '`Link Descriptor Class Name`' attribute.

  See Also:
    `getLinkDescriptorClassName()`
  ** Generated **
  Ordered:

### linkDescriptorClassName

    protected java.lang.String linkDescriptorClassName

  The cached value of the '`Link Descriptor Class Name`' attribute.

  See Also:
    `getLinkDescriptorClassName()`
  ** Generated **
  Ordered:

### UPDATE_COMMAND_CLASS_NAME_EDEFAULT

    protected static final java.lang.String UPDATE_COMMAND_CLASS_NAME_EDEFAULT

  The default value of the '`Update Command Class Name`' attribute.

  See Also:
    `getUpdateCommandClassName()`
  ** Generated **
  Ordered:

### updateCommandClassName

    protected java.lang.String updateCommandClassName

  The cached value of the '`Update Command Class Name`' attribute.

  See Also:
    `getUpdateCommandClassName()`
  ** Generated **
  Ordered:

### UPDATE_COMMAND_ID_EDEFAULT

    protected static final java.lang.String UPDATE_COMMAND_ID_EDEFAULT

  The default value of the '`Update Command ID`' attribute.

  See Also:
    `getUpdateCommandID()`
  ** Generated **
  Ordered:

### updateCommandID

    protected java.lang.String updateCommandID

  The cached value of the '`Update Command ID`' attribute.

  See Also:
    `getUpdateCommandID()`
  ** Generated **
  Ordered:

Constructor Detail

### GenDiagramUpdaterImpl

    protected GenDiagramUpdaterImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getEditorGen

    public GenEditorGenerator getEditorGen()

  Specified by:
    `getEditorGen` in interface `GenDiagramUpdater`
  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenDiagramUpdater_EditorGen()`, `GenEditorGenerator.getDiagramUpdater()`
  ** Generated **

### getDiagramUpdaterClassNameGen

    public java.lang.String getDiagramUpdaterClassNameGen()

  ** Generated **

### getDiagramUpdaterClassName

    public java.lang.String getDiagramUpdaterClassName()

  Description copied from interface: `GenDiagramUpdater`
  Returns the value of the 'Diagram Updater Class Name' attribute.

  If the meaning of the 'Diagram Updater Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDiagramUpdaterClassName` in interface `GenDiagramUpdater`
  Returns:
    the value of the 'Diagram Updater Class Name' attribute.
  See Also:
    `GenDiagramUpdater.setDiagramUpdaterClassName(String)`, `GMFGenPackage.getGenDiagramUpdater_DiagramUpdaterClassName()`

### setDiagramUpdaterClassName

    public void setDiagramUpdaterClassName(java.lang.String newDiagramUpdaterClassName)

  Specified by:
    `setDiagramUpdaterClassName` in interface `GenDiagramUpdater`
  Parameters:
    `newDiagramUpdaterClassName` - the new value of the 'Diagram Updater Class Name' attribute.
  See Also:
    `GenDiagramUpdater.getDiagramUpdaterClassName()`
  ** Generated **

### getNodeDescriptorClassNameGen

    public java.lang.String getNodeDescriptorClassNameGen()

  ** Generated **

### getNodeDescriptorClassName

    public java.lang.String getNodeDescriptorClassName()

  Description copied from interface: `GenDiagramUpdater`
  Returns the value of the 'Node Descriptor Class Name' attribute.

  If the meaning of the 'Node Descriptor Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getNodeDescriptorClassName` in interface `GenDiagramUpdater`
  Returns:
    the value of the 'Node Descriptor Class Name' attribute.
  See Also:
    `GenDiagramUpdater.setNodeDescriptorClassName(String)`, `GMFGenPackage.getGenDiagramUpdater_NodeDescriptorClassName()`

### setNodeDescriptorClassName

    public void setNodeDescriptorClassName(java.lang.String newNodeDescriptorClassName)

  Specified by:
    `setNodeDescriptorClassName` in interface `GenDiagramUpdater`
  Parameters:
    `newNodeDescriptorClassName` - the new value of the 'Node Descriptor Class Name' attribute.
  See Also:
    `GenDiagramUpdater.getNodeDescriptorClassName()`
  ** Generated **

### getLinkDescriptorClassNameGen

    public java.lang.String getLinkDescriptorClassNameGen()

  ** Generated **

### getLinkDescriptorClassName

    public java.lang.String getLinkDescriptorClassName()

  Description copied from interface: `GenDiagramUpdater`
  Returns the value of the 'Link Descriptor Class Name' attribute.

  If the meaning of the 'Link Descriptor Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getLinkDescriptorClassName` in interface `GenDiagramUpdater`
  Returns:
    the value of the 'Link Descriptor Class Name' attribute.
  See Also:
    `GenDiagramUpdater.setLinkDescriptorClassName(String)`, `GMFGenPackage.getGenDiagramUpdater_LinkDescriptorClassName()`

### setLinkDescriptorClassName

    public void setLinkDescriptorClassName(java.lang.String newLinkDescriptorClassName)

  Specified by:
    `setLinkDescriptorClassName` in interface `GenDiagramUpdater`
  Parameters:
    `newLinkDescriptorClassName` - the new value of the 'Link Descriptor Class Name' attribute.
  See Also:
    `GenDiagramUpdater.getLinkDescriptorClassName()`
  ** Generated **

### getUpdateCommandClassNameGen

    public java.lang.String getUpdateCommandClassNameGen()

  ** Generated **

### getUpdateCommandClassName

    public java.lang.String getUpdateCommandClassName()

  Description copied from interface: `GenDiagramUpdater`
  Returns the value of the 'Update Command Class Name' attribute.

  If the meaning of the 'Update Command Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getUpdateCommandClassName` in interface `GenDiagramUpdater`
  Returns:
    the value of the 'Update Command Class Name' attribute.
  See Also:
    `GenDiagramUpdater.setUpdateCommandClassName(String)`, `GMFGenPackage.getGenDiagramUpdater_UpdateCommandClassName()`

### setUpdateCommandClassName

    public void setUpdateCommandClassName(java.lang.String newUpdateCommandClassName)

  Specified by:
    `setUpdateCommandClassName` in interface `GenDiagramUpdater`
  Parameters:
    `newUpdateCommandClassName` - the new value of the 'Update Command Class Name' attribute.
  See Also:
    `GenDiagramUpdater.getUpdateCommandClassName()`
  ** Generated **

### getUpdateCommandIDGen

    public java.lang.String getUpdateCommandIDGen()

  ** Generated **

### getUpdateCommandID

    public java.lang.String getUpdateCommandID()

  Description copied from interface: `GenDiagramUpdater`
  Returns the value of the 'Update Command ID' attribute.

  If the meaning of the 'Update Command ID' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getUpdateCommandID` in interface `GenDiagramUpdater`
  Returns:
    the value of the 'Update Command ID' attribute.
  See Also:
    `GenDiagramUpdater.setUpdateCommandID(String)`, `GMFGenPackage.getGenDiagramUpdater_UpdateCommandID()`

### setUpdateCommandID

    public void setUpdateCommandID(java.lang.String newUpdateCommandID)

  Specified by:
    `setUpdateCommandID` in interface `GenDiagramUpdater`
  Parameters:
    `newUpdateCommandID` - the new value of the 'Update Command ID' attribute.
  See Also:
    `GenDiagramUpdater.getUpdateCommandID()`
  ** Generated **

### getDiagramUpdaterQualifiedClassName

    public java.lang.String getDiagramUpdaterQualifiedClassName()

  Specified by:
    `getDiagramUpdaterQualifiedClassName` in interface `GenDiagramUpdater`
  ** Generated **
    NOT

### getNodeDescriptorQualifiedClassName

    public java.lang.String getNodeDescriptorQualifiedClassName()

  Specified by:
    `getNodeDescriptorQualifiedClassName` in interface `GenDiagramUpdater`
  ** Generated **
    NOT

### getLinkDescriptorQualifiedClassName

    public java.lang.String getLinkDescriptorQualifiedClassName()

  Specified by:
    `getLinkDescriptorQualifiedClassName` in interface `GenDiagramUpdater`
  ** Generated **
    NOT

### getUpdateCommandQualifiedClassName

    public java.lang.String getUpdateCommandQualifiedClassName()

  Specified by:
    `getUpdateCommandQualifiedClassName` in interface `GenDiagramUpdater`
  ** Generated **
    NOT

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.